Bug 434169 - Review Request: ocaml-zip - OCaml library for reading and writing zip, jar and gzip files
Review Request: ocaml-zip - OCaml library for reading and writing zip, jar an...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-22 10:41 EST by Richard W.M. Jones
Modified: 2008-02-29 04:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-29 04:44:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-22 10:41:11 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-zip.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-zip-1.03-1.fc9.src.rpm
Description: OCaml library for reading and writing zip, jar and gzip files

This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these


Passes rpmlint.

Builds on Rawhide against OCaml 3.10.1 (also works with 3.10.0 on F-8).
Comment 1 Jason Tibbitts 2008-02-28 14:42:10 EST
This looks good to me.  Again they're not too clear about the LGPL version in
use, but there is some statement about the version in use at the top of the
LICENSE file, which seems good enough to me.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* package follows ocaml guidelines
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   ocaml(Gzip) = 6258f07d6e9179c9ee17180766a0978e
   ocaml(Zip) = 48478f1ccd637a3af5ebf6d8031b475a
   ocaml(Zlib) = f525a2d075f92332c0da098f58f3b6fb
   ocaml-zip = 1.03-1.fc9
   ocaml(Callback) = e5ca1fb5990fac2b7b17cbb1712cffe2
   ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
   ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
   ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
   ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Unix) = 9a46a8db115947409e54686ada118599
   ocaml(runtime) = 3.10.1

   ocaml-zip-devel = 1.03-1.fc9
   ocaml-zip = 1.03-1.fc9

* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files (except allowed license file)
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Richard W.M. Jones 2008-02-28 15:15:52 EST
New Package CVS Request
Package Name: ocaml-zip
Short Description: OCaml library for reading and writing zip, jar and gzip files
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-02-28 22:14:40 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.